package com.hai.service;

import com.hai.entity.HighOrderPre;
import java.util.List;
import java.util.Map;

public interface HighOrderPreService {

    /**
     * @Author Sum1Dream
     * @Description // 查询充值订单
     * @Date 15:18 2021/6/11
     * @Param [map]
     * @return java.util.List<com.hai.entity.HighOrderPre>
     **/
    List<HighOrderPre> getListOrderPre(Map<String , String> map);

    /**
     * @Author Sum1Dream
     * @Description // 根据订单ID查询订单
     * @Date 15:19 2021/6/11
     * @Param [orderId]
     * @return com.hai.entity.HighOrderPre
     **/
    HighOrderPre findByOrderId(Long orderId);

    /**
     * @Author Sum1Dream
     * @Description // 根据订单号查询订单
     * @Date 15:20 2021/6/11
     * @Param [orderNo]
     * @return com.hai.entity.HighOrderPre
     **/
    HighOrderPre findByOrderNo(String orderNo);

    /***
     * @Author Sum1Dream
     * @Description // 新增订单
     * @Date 15:25 2021/6/11
     * @Param [HighOrderPre]
     * @return void
     **/
    void insertOrderPre(HighOrderPre highOrderPre);

    /***
     * @Author Sum1Dream
     * @Description // 修改订单
     * @Date 15:26 2021/6/11
     * @Param [HighOrderPre]
     * @return void
     **/
    void updateOrderPre(HighOrderPre highOrderPre);
}
